<div class="w-full text-white bg-black shadow-md flex flex-col justify-center items-center pt-4">
  <app-weather-icon [forecast]="forecast"></app-weather-icon>
  <div class="pt-4">
    <span class="text-2xl mr-2" title="current temperature"><span
        class="font-extrabold mr-1">{{forecast.the_temp.toFixed(1)}}</span>°C</span>
    <div>
      <div class="text-sm mr-2" title="min temperature of the day">min: <span
          class="font-semibold mr-1">{{forecast.min_temp.toFixed(1)}}</span>°C</div>
      <div class="text-sm mr-2" title="max temperature of the day">max: <span
          class="font-semibold">{{forecast.max_temp.toFixed(1)}}</span>°C</div>
    </div>
  </div>
  <div class="pt-4">
    <div class="flex items-center" title="sunrise time"><i
        class="ri-upload-line ri-sm text-white mr-2"></i><span>{{forecast.sun_rise | date:'hh:mm' }}</span></div>
    <div class="flex items-center" title="sunset time"><i
        class="ri-download-line ri-sm text-white mr-2"></i><span>{{forecast.sun_set | date:'hh:mm'}}</span></div>
  </div>
  <div class="pt-4">
    <div class="flex items-center" title="wind force and direction">
      <i class="ri-windy-line mr-2"></i><span
        class="mr-1">{{forecast.wind_direction_compass }}</span><span>{{forecast.wind_speed.toFixed(1)}} m/h</span>
    </div>
    <div class="flex items-center" title="humidity">
      <i class="ri-drop-line mr-2"></i><span>{{forecast.humidity}}%</span></div>
  </div>
</div>
